[//]: # (Document is generated by inserting citations in obsidian)

# Citing and Resources  

When using PyHDX in your research, please cite our publication:  
  
- Smit, J. H.; Krishnamurthy, S.; Srinivasu, B. Y.; Parakra, R.; Karamanou, S.; Economou, A. Probing Universal Protein Dynamics Using Hydrogen–Deuterium Exchange Mass Spectrometry-Derived Residue-Level Gibbs Free Energy. _Anal. Chem._ **2021**, _93_ (38), 12840–12847. [https://doi.org/10.1021/acs.analchem.1c02155](https://doi.org/10.1021/acs.analchem.1c02155).  

## Citing dependencies  
  
When using the different modules offered by PyHDX, please consider citing the following papers:

**Intrinsic H/D exchange rates:**

- Bai, Y.; Milne, J. S.; Mayne, L.; Englander, S. W. Primary Structure Effects on Peptide Group Hydrogen Exchange. _Proteins: Structure, Function, and Bioinformatics_ **1993**, _17_ (1), 75–86. [https://doi.org/10.1002/prot.340170110](https://doi.org/10.1002/prot.340170110).
- Connelly, G. P.; Bai, Y.; Jeng, M.-F.; Englander, S. W. Isotope Effects in Peptide Group Hydrogen Exchange. _Proteins_ **1993**, _17_ (1), 87–92. [https://doi.org/10.1002/prot.340170111](https://doi.org/10.1002/prot.340170111).
- Mori, S.; Zijl, P. C. M. van; Shortle, D. Measurement of water–amide proton exchange rates in the denatured state of staphylococcal nuclease by a magnetization transfer technique. Proteins: Structure, Function, and Bioinformatics 1997, 28 (3), 325–332. https://doi.org/10.1002/(SICI)1097-0134(199707)28:3<325::AID-PROT3>3.0.CO;2-B.
- Nguyen, D.; Mayne, L.; Phillips, M. C.; Walter Englander, S. Reference Parameters for Protein Hydrogen Exchange Rates. J. Am. Soc. Mass Spectrom. 2018, 29 (9), 1936–1939. https://doi.org/10.1021/jasms.8b05911.

See [HDXrate](https://github.com/Jhsmit/HDXrate) for a python implementation of the Englander xls sheets for intrinsic exchange rate calculation.

**MolStar protein viewer:**

- Sehnal, D.; Bittrich, S.; Deshpande, M.; Svobodová, R.; Berka, K.; Bazgier, V.; Velankar, S.; Burley, S. K.; Koča, J.; Rose, A. S. Mol* Viewer: Modern Web App for 3D Visualization and Analysis of Large Biomolecular Structures. _Nucleic Acids Research_ **2021**, _49_ (W1), W431–W437. [https://doi.org/10.1093/nar/gkab314](https://doi.org/10.1093/nar/gkab314).

## Publications using PyHDX  

- Lin, X.; Haller, P.; Bavi, N.; Faruk, N.; Perozo, E.; Sosnick, T. R. Folding of Prestin’s Anion-Binding Site and the Mechanism of Outer Hair Cell Electromotility. _eLife_ **2023**, _12_. [https://doi.org/10.7554/eLife.89635](https://doi.org/10.7554/eLife.89635).
- Bademosi, A. T.; Decet, M.; Kuenen, S.; Calatayud, C.; Swerts, J.; Gallego, S. F.; Schoovaerts, N.; Karamanou, S.; Louros, N.; Martin, E.; Sibarita, J.-B.; Vints, K.; Gounko, N. V.; Meunier, F. A.; Economou, A.; Versées, W.; Rousseau, F.; Schymkowitz, J.; Soukup, S.-F.; Verstreken, P. EndophilinA-Dependent Coupling between Activity-Induced Calcium Influx and Synaptic Autophagy Is Disrupted by a Parkinson-Risk Mutation. _Neuron_ **2023**. [https://doi.org/10.1016/j.neuron.2023.02.001](https://doi.org/10.1016/j.neuron.2023.02.001).
- Huang, J.; Chu, X.; Luo, Y.; Wang, Y.; Zhang, Y.; Zhang, Y.; Li, H. Insights into Phosphorylation-Induced Protein Allostery and Conformational Dynamics of Glycogen Phosphorylase via Integrative Structural Mass Spectrometry and In Silico Modeling. _ACS Chem. Biol._ **2022**. [https://doi.org/10.1021/acschembio.2c00393](https://doi.org/10.1021/acschembio.2c00393).
- Krishnamurthy, S.; Eleftheriadis, N.; Karathanou, K.; Smit, J. H.; Portaliou, A. G.; Chatzi, K. E.; Karamanou, S.; Bondar, A.-N.; Gouridis, G.; Economou, A. A Nexus of Intrinsic Dynamics Underlies Translocase Priming. _Structure_ **2021**, _29_ (8), 846-858.e7. [https://doi.org/10.1016/j.str.2021.03.015](https://doi.org/10.1016/j.str.2021.03.015).
- Yuan, B.; Portaliou, A. G.; Parakra, R.; Smit, J. H.; Wald, J.; Li, Y.; Srinivasu, B.; Loos, M. S.; Dhupar, H. S.; Fahrenkamp, D.; Kalodimos, C. G.; Duong van Hoa, F.; Cordes, T.; Karamanou, S.; Marlovits, T. C.; Economou, A. Structural Dynamics of the Functional Nonameric Type III Translocase Export Gate. *Journal of Molecular Biology* **2021**, 433 (21), 167188. https://doi.org/10.1016/j.jmb.2021.167188.
- Krishnamurthy, S.; Sardis, M.-F.; Eleftheriadis, N.; Chatzi, K. E.; Smit, J. H.; Karathanou, K.; Gouridis, G.; Portaliou, A. G.; Bondar, A.-N.; Karamanou, S.; Economou, A. Preproteins Couple the Intrinsic Dynamics of SecA to Its ATPase Cycle to Translocate via a Catch and Release Mechanism. _Cell Reports_ **2022**, _38_ (6). [https://doi.org/10.1016/j.celrep.2022.110346](https://doi.org/10.1016/j.celrep.2022.110346).
- Smets, D.; Smit, J.; Xu, Y.; Karamanou, S.; Economou, A. Signal Peptide-Rheostat Dynamics Delay Secretory Preprotein Folding. *Journal of Molecular Biology* **2022**, 434 (19), 167790. https://doi.org/10.1016/j.jmb.2022.167790.
- Smets, D.; Tsirigotaki, A.; Smit, J. H.; Krishnamurthy, S.; Portaliou, A. G.; Vorobieva, A.; Vranken, W.; Karamanou, S.; Economou, A. Evolutionary Adaptation of the Protein Folding Pathway for Secretability. _The EMBO Journal_ **2022**, _41_ (23), e111344. [https://doi.org/10.15252/embj.2022111344](https://doi.org/10.15252/embj.2022111344).
- Huang, J.; Chu, X.; Luo, Y.; Wang, Y.; Zhang, Y.; Zhang, Y.; Li, H. Insights into Phosphorylation-Induced Protein Allostery and Conformational Dynamics of Glycogen Phosphorylase via Integrative Structural Mass Spectrometry and In Silico Modeling. _ACS Chem. Biol._ **2022**. [https://doi.org/10.1021/acschembio.2c00393](https://doi.org/10.1021/acschembio.2c00393).

## Publications citing PyHDX

-  Yu, J.; Uzuner, U.; Long, B.; Wang, Z.; Yuan, J. S.; Dai, S. Y. Artificial Intelligence-Based HDX (AI-HDX) Prediction Reveals Fundamental Characteristics to Protein Dynamics: Mechanisms on SARS-CoV-2 Immune Escape. _iScience_ **2023**, _26_ (4), 106282. [https://doi.org/10.1016/j.isci.2023.106282](https://doi.org/10.1016/j.isci.2023.106282).
- Anderson, K. W.; Hudgens, J. W. Hydrophilic Interaction Liquid Chromatography at Subzero Temperature for Hydrogen–Deuterium Exchange Mass Spectrometry. _J. Am. Soc. Mass Spectrom._ **2023**, _34_ (12), 2672–2679. [https://doi.org/10.1021/jasms.3c00243](https://doi.org/10.1021/jasms.3c00243).
- Largy, E.; Ranz, M. OligoR: A Native HDX/MS Data Processing Application Dedicated to Oligonucleotides. _Anal. Chem._ **2023**, _95_ (25), 9615–9622. [https://doi.org/10.1021/acs.analchem.3c01321](https://doi.org/10.1021/acs.analchem.3c01321).
- Vinciauskaite, V.; Masson, G. R. Fundamentals of HDX-MS. *Essays in Biochemistry* **2022**, EBC20220111. https://doi.org/10.1042/EBC20220111.
- Stofella, M.; Skinner, S. P.; Sobott, F.; Houwing-Duistermaat, J.; Paci, E. High-Resolution Hydrogen–Deuterium Protection Factors from Sparse Mass Spectrometry Data Validated by Nuclear Magnetic Resonance Measurements. _J. Am. Soc. Mass Spectrom._ **2022**, _33_ (5), 813–822. [https://doi.org/10.1021/jasms.2c00005](https://doi.org/10.1021/jasms.2c00005).
- Zhang, W.; Xiang, Y.; Xu, W. Probing Protein Higher-Order Structures by Native Capillary Electrophoresis-Mass Spectrometry. _TrAC Trends in Analytical Chemistry_ **2022**, _157_, 116739. [https://doi.org/10.1016/j.trac.2022.116739](https://doi.org/10.1016/j.trac.2022.116739).

## Resources  

**Other PyHDX resources:**

- [YouTube](https://www.youtube.com/channel/UCTro6Iv1BhvjUPYZNu5TJWg)
- [Paper code](https://github.com/Jhsmit/PyHDX-paper)
- [BioRxiv v1](https://www.biorxiv.org/content/10.1101/2020.09.30.320887v1)  
- [BioRxiv v2](https://www.biorxiv.org/content/10.1101/2020.09.30.320887v2)

**General HDX-MS resources:**
  
- [Hadexversum HDX-MS-resources](https://github.com/hadexversum/HDX-MS-resources)  
- [HDXMS.net resources](http://hdxms.net/resources/)
  
**HDX-MS datasets:**

- [hdxms-datasets on GitHub](https://github.com/Jhsmit/hdxms-datasets)
